QGIS Application - Bug report #13983
Split parts on MultiLineString: discards data
2015-12-13 02:58 PM - Mike Taves

Status: Closed
Priority: Normal
Assignee:

Category: Digitising

Affected QGIS version:2.12.0
Operating System: Windows 7 x64
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 21997

Description

The issue is that geometry data is silently discarded when using the Split Parts tool on MultiLineString geometries with QGIS

2.12.1-Lyon (16760fd).

Consider a simple MultiLineString in a PostGIS database: MULTILINESTRING((0 0, 10 0))

Editing the geometry with the Spilit Parts tool (in the Advanced Digitizing toolbar), e.g., to split the line in the middle will do this: keep only

the MultiLineString from the start to the split location, and discard the MultiLineString from the split location to the end, such as

MULTILINESTRING((0 0, 5 0)).

An expected result would be something like MULTILINESTRING((0 0, 5 0), (5 0, 10 0)).

A second experiment with MULTILINESTRING((0 0, 5 0), (5 0, 10 0)) will show data loss of other parts that were not split. Splitting the
first part will keep the line from the start to the split location, and will discard both the remaining portion of the first part, and all of the
second part, so result is MULTILINESTRING((0 0, 2.5 0)). Furthermore, splitting the second part will discard all of the first part, and keep
only the start of the second part to the spilit location, so result is MULTILINESTRING((5 0, 7.5 0)).

An expected result would keep the other parts of the geometry, as well as the new parts that were split, so either MULTILINESTRING((0
0,250),(250,50),(50,100)) or MULTILINESTRING((0 0,5 0), (50, 7.50), (7.50, 10 0)).

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history — a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
